[![Build Status](https://img.shields.io/travis/AntiPhotonltd/portchecker/master.svg)](https://travis-ci.org/AntiPhotonltd/portchecker)
[![Software License](https://img.shields.io/badge/license-MIT-blue.svg)](LICENSE.md)
[![Release](https://img.shields.io/github/release/AntiPhotonltd/portchecker.svg)](https://github.com/AntiPhotonltd/portchecker/releases/latest)
[![Gem Version](https://badge.fury.io/rb/portchecker.svg)](https://badge.fury.io/rb/portchecker)
[![Github commits (since latest release)](https://img.shields.io/github/commits-since/AntiPhotonltd/portchecker/latest.svg)](https://github.com/AntiPhotonltd/portchecker/commits)
[![GitHub repo size in bytes](https://img.shields.io/github/repo-size/AntiPhotonltd/portchecker.svg)](https://github.com/AntiPhotonltd/portchecker)
[![GitHub contributors](https://img.shields.io/github/contributors/AntiPhotonltd/portchecker.svg)](https://github.com/AntiPhotonltd/portchecker)

# Portchecker

This is a VERY simply little gem with a cli to allow you to check if a given port is open.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'portchecker'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install portchecker

## Usage

```
require 'portchecker'

puts Portchecker::Check.port_open?(host, port)
```

## Command Line

```
Usage: ./portcheck
    -h, --help                       Display this screen
    -a, --address string             The address to connect to
    -p, --port integer               The port to connect to
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Testing

For local testing make sure that you run `bundle exec rspec spec` and then `rake install` to install the gem locally.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/AntiPhotonltd/portchecker. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Portchecker project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/AntiPhotonltd/portchecker/blob/master/CODE_OF_CONDUCT.md).

## ToDo
- [ ] UDP support	
- [ ] customise timeout
- [ ] retries / sleep_period
